import {Directions, GateDevice} from '@stargate-system/device';
import { init } from 'raspi';
import { SoftPWM } from 'raspi-soft-pwm';

const createLed = (color, target) => {
    const led = GateDevice.factory.createFloat(Directions.input);
    led.setRange([0, 255]);
    led.info = `color:${color}`;
    led.onRemoteUpdate = () => {
        target.write(led.value/255);
    };
}

init(() => {
    const redPin = new SoftPWM('GPIO17');
    const greenPin = new SoftPWM('GPIO27');
    const bluePin = new SoftPWM('GPIO22');

    createLed('red', redPin);
    createLed('green', greenPin);
    createLed('blue', bluePin);

    GateDevice.setName('Color Picker');
    GateDevice.setInfo('color');
    GateDevice.start();
})
